function getVersion() {
  fetch('/api/version')
    .then(function(response) {
      return response.json();
    })
    .then(function(version) {
      document.getElementById("version").innerHTML = "v" + version.version;
    });
}

function runctnr() {
  document.getElementById("btnlaunch").disabled = true;
  document.getElementById("btnlaunchspinner").style.display = "inline-block";

  fetch('/api/run')
    .then(function(response) {
      document.getElementById("btnlaunch").disabled = false;
      document.getElementById("btnlaunchspinner").style.display = "none";
      return response.text();
    })
    .then(function(logs) {
      document.getElementById("logs").textContent = logs;
      document.getElementById("logs-card").style.display = "block";
    })
  return false;
}
