package main

import (
	"log"
	"os"
	"os/signal"
	"syscall"
)

func main() {
	a := NewApp()
	go a.Start()

	quit := make(chan os.Signal)
	signal.Notify(quit, os.Interrupt, syscall.SIGTERM)
	<-quit
	log.Println("Stopping the service...")
	a.Stop()
	log.Println("Stopped")

}
